Skip to main content
GET
List branches

Authorizations

Authorization
string
header
required

Bearer token authorizing this operation's repository action. Each operation's security requirement names the resource action the token must be authorized for (pull or push).

Path Parameters

repoId
string
required
Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$

Query Parameters

regex
string
pageSize
integer<int32>
Required range: 0 <= x <= 500
pageToken
string

Response

OK

branches
object[] | null
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://aws-us-east-2.entire.io/api/v1/schemas/ListBranchesResponse.json"

nextPageToken
string